%define anolis_release 4
%bcond_without check
%global pypi_name argcomplete

Name:          python-%{pypi_name}
Summary:       Bash tab completion for argparse
Version:       2.0.0
Release:       %{anolis_release}%{?dist}
License:       ASL 2.0
URL:           https://github.com/kislyuk/%{pypi_name}
Source0:       %{pypi_source}
BuildArch:     noarch

Patch1:        0001-Remove-commit-hash-from-Fish-version.patch

BuildRequires: python%{python3_pkgversion}-devel

%if %{with check}
BuildRequires: tcsh fish
BuildRequires: /usr/bin/pip
BuildRequires: python%{python3_pkgversion}-pexpect
BuildRequires: python%{python3_pkgversion}-pytest
%endif

%description
Argcomplete provides easy, extensible command line tab completion of
arguments for your Python script.

It makes two assumptions:

 * You are using bash as your shell
 * You are using argparse to manage your command line arguments/options

Argcomplete is particularly useful if your program has lots of
options or subparsers, and if your program can dynamically suggest
completions for your argument/option values (for example, if the user
is browsing resources over the network).

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{pypi_name}
Argcomplete provides easy, extensible command line tab completion of
arguments for your Python script.

It makes two assumptions:

 * You are using bash as your shell
 * You are using argparse to manage your command line arguments/options

Argcomplete is particularly useful if your program has lots of
options or subparsers, and if your program can dynamically suggest
completions for your argument/option values (for example, if the user
is browsing resources over the network).

%package doc
Summary:        Documentation files for %{name}
Requires:       python%{python3_pkgversion}-%{pypi_name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
sed -i -r -e '/tests_require = /s/"(coverage|flake8|wheel)"[, ]*//g' setup.py

sed -i -e "1s|#!.*python.*|#!%{__python3}|" test/prog scripts/*
sed -i -e "s|python |python3 |" test/test.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d/
install -p -m0644 %{buildroot}%{python3_sitelib}/%{pypi_name}/bash_completion.d/python-%{pypi_name} %{buildroot}%{_sysconfdir}/bash_completion.d/
%pyproject_save_files %{pypi_name}

%generate_compatibility_deps

%if %{with check}
%check
echo "set enable-bracketed-paste off" > .inputrc
export INPUTRC=$PWD/.inputrc
%{python3} setup.py test
%endif

%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%dir %{abidir}
%license LICENSE.rst
%{_bindir}/activate-global-python-%{pypi_name}
%{_bindir}/python-%{pypi_name}-check-easy-install-script
%{_bindir}/python-%{pypi_name}-tcsh
%{_bindir}/register-python-%{pypi_name}
%{abidir}/*python-%{pypi_name}*-option.list
%{_sysconfdir}/bash_completion.d/python-%{pypi_name}

%files doc
%doc Authors.rst Changes.rst README.rst

%changelog
* Mon Feb 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.0.0-3
- optimise dependency

* Thu Oct 13 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.0.0-2
- optimise spec file & add doc package

* Fri May 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.0.0-1
- init from upstream
